//
// Copyright (c) 2009 Ferenc Hechler - ferenc_hechler@users.sourceforge.net
// 
// This file is part of the Android Hotspot Login
//
// The Android Hotspot Login is free software;
// you can redistribute it and/or modify it under the terms of the GNU
// General Public License as published by the Free Software Foundation;
// either version 2 of the License, or (at your option) any later version.
// 
// The Android Hotspot Login is distributed
// in the hope that it will be useful, but WITHOUT ANY WARRANTY; without
// even the implied warranty of MERCHANTABILITY or FITNESS FOR A
// PARTICULAR PURPOSE.  See the GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with the Android Hotspot Login;
// if not, write to the Free Software Foundation, Inc.,
// 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
// 
// My AIDL file, named SomeClass.aidl
// Note that standard comment syntax is respected.
// Comments before the import or package statements are not bubbled up
// to the generated interface, but comments above interface/method/field
// declarations are added to the generated interface.

// Include your fully-qualified package statement.
package net.sf.andhsli.hotspotlogin;

// Declare the interface.
interface IHotspotLoginService {
    void setSettingParams(in String jsonParams);
    void setLoginParams(in String login, in String pw, in boolean enableWifiLock, in boolean autoCreateConfigForSSID, in boolean enableBeep, in int scanIntervallSeconds, in boolean hideWaitingIcon, in boolean autostartService, in boolean enableLogCat);
    void start();
    void stop();
    String getJsonParams();
    String getLogin();
    String getEncryptedPW();
    boolean getWifiLockEnabled();
    boolean getAutoCreateConfigForSSID();
    boolean getBeepEnabled();
    int getScanIntervallSeconds();
    boolean getHideWaitingIcon();
    boolean getAutostartService();
    boolean getEnableLogCat();
    boolean isRunning();
    int getCurrentHotspotStatus();
    String getCurrentHotspotStatusName();
    int getFailedLoginCount();
}

